### Function

# FwupdPlugin bytes_compare

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_bytes_compare (
      GBytes* bytes1,
      GBytes* bytes2,
      GError** error
    )

#### Description [src]

Compares the buffers for equality.

Available since: 1.8.2

#### Parameters

`bytes1`

  Type: `GBytes`

  A data blob.

  The data is owned by the caller of the function.

`bytes2`

  Type: `GBytes`

  Another `GBytes`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `bytes1` and `bytes2` are identical.